summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortv <tv@krebsco.de>2016-07-16 23:57:11 +0200
committertv <tv@krebsco.de>2016-07-17 00:13:45 +0200
commit4aa17b21e0661f2b5f2685dbc8baf59e2809dddf (patch)
tree03efe2628044e225e960aa8078d9ed43d39b656c
parent8fde09584a8ca1f52e6af53a04adfe4338ea4a1b (diff)
fail if no script got produced
-rwxr-xr-xbin/populate7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/populate b/bin/populate
index 17a8107..ff242cf 100755
--- a/bin/populate
+++ b/bin/populate
@@ -45,7 +45,7 @@ if test -z "$target_spec"; then
fi
if test "$fail" != true; then
- exit 1
+ exit 11
fi
@@ -56,6 +56,11 @@ script=$(jq -e -r \
--arg origin_user "$origin_user" \
-f "$libdir/populate.jq")
+if test -z "$script"; then
+ error 'no script produced'
+ exit 12
+fi
+
if test "$debug" = true; then
echo "$script"